%global srcname ufo2ft

Name:           python-%{srcname}
Version:        0.4.0
Release:        1%{?dist}
Summary:        A bridge from UFOs to FontTool objects

License:        MIT
URL:            https://pypi.org/project/%{srcname}
Source0:        https://github.com/googlei18n/%{srcname}/archive/v%{version}/%{srcname}-%{version}.tar.gz

BuildArch:      noarch

%description
ufo2ft (“UFO to FontTools”) is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs (Unified Font Object) without the FDK
dependency.

%package -n python2-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python2-%{srcname}}

BuildRequires:  python2-devel
BuildRequires:  python2-setuptools
BuildRequires:  python2-pytest
BuildRequires:  python2-pytest-runner
BuildRequires:  python2-fonttools
BuildRequires:  python2-ufolib
BuildRequires:  python2-defcon
BuildRequires:  python2-cu2qu
BuildRequires:  python2-compreffor
Requires: python2-fonttools
Requires: python2-ufolib
Requires: python2-defcon
Requires: python2-cu2qu
Requires: python2-compreffor

%description -n python2-%{srcname}
ufo2ft (“UFO to FontTools”) is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs (Unified Font Object) without the FDK
dependency.


%package -n python3-%{srcname}
Summary:        %{summary}
%{?python_provide:%python_provide python3-%{srcname}}

BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
BuildRequires:  python3-pytest
BuildRequires:  python3-pytest-runner
BuildRequires:  python3-fonttools
BuildRequires:  python3-ufolib
BuildRequires:  python3-defcon
BuildRequires:  python3-cu2qu
BuildRequires:  python3-compreffor
Requires: python3-fonttools
Requires: python3-ufolib
Requires: python3-defcon
Requires: python3-cu2qu
Requires: python3-compreffor

%description -n python3-%{srcname}
ufo2ft (“UFO to FontTools”) is a fork of ufo2fdk whose goal is to generate
OpenType font binaries from UFOs (Unified Font Object) without the FDK
dependency.


%prep
%autosetup -n %{srcname}-%{version}
# Replace utf-8 control chars from comments
# see https://github.com/googlei18n/ufo2ft/pull/121
iconv -f latin1 -t ascii//TRANSLIT Lib/ufo2ft/outlineCompiler.py  > temp_file
mv temp_file Lib/ufo2ft/outlineCompiler.py

%build
%py2_build
%py3_build

%install
# export LC_ALL=en_US.UTF-8
%py2_install
%py3_install

%check
# export LC_ALL=en_US.UTF-8
%{__python2} setup.py test
%{__python3} setup.py test

%files -n python2-%{srcname}
%license LICENSE
%doc README.rst
%dir %{python2_sitelib}/%{srcname}
%{python2_sitelib}/%{srcname}-*.egg-info
%{python2_sitelib}/%{srcname}/*.py*

%files -n python3-%{srcname}
%license LICENSE
%doc README.rst
%dir %{python3_sitelib}/%{srcname}
%{python3_sitelib}/%{srcname}-*.egg-info
%{python3_sitelib}/%{srcname}/*.py
%{python3_sitelib}/%{srcname}/__pycache__

%changelog
* Thu Mar 23 2017 Athos Ribeiro <athoscr@fedoraproject.org> - 0.4.0-1
- Initial package
